# pydicom.datadict.get_entry

pydicom.datadict.get_entry(tag: Union[int, str, Tuple[int, int], pydicom.tag.BaseTag]) → Tuple[str, str, str, str, str]

  Return an entry from the DICOM dictionary as a tuple.

  If the tag is not in the main DICOM dictionary, then the repeating group dictionary will also be checked.

  Parameters

    tag (int) – The tag for the element whose entry is to be retrieved. Only entries in the official DICOM dictionary will be checked, not entries in the private dictionary.

  Returns

    The (VR, VM, name, is_retired, keyword) from the DICOM dictionary.

  Return type

    tuple of str

  Raises

    KeyError – If the tag is not present in the DICOM data dictionary.

  See also

  `get_private_entry`

    Return an entry from the private dictionary.